from podcasts import models
from rest_framework import serializers


class ProducerSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.Producer
        fields = "__all__"


class PodcastEpisodeSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.PodcastEpisode
        fields = "__all__"


class PodcastSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = models.Podcast
        fields = "__all__"
